package com.mortals.xhx.module.app.model;
import com.mortals.xhx.module.app.model.vo.AppConfigVo;
import lombok.Data;
/**
* 应用列实体对象
*
* @author zxfei
* @date 2025-02-11
*/
@Data
public class AppConfigEntity extends AppConfigVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 站点编号
    */
    private String siteCode;
    /**
    * 应用ID
    */
    private Long appId;
    /**
    * 应用编码
    */
    private String appCode;
    /**
    * 应用名称
    */
    private String appName;
    /**
    * 应用顺序
    */
    private Integer order;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AppConfigEntity) {
            AppConfigEntity tmp = (AppConfigEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.siteId = null;
            this.siteName = "";
            this.siteCode = "";
            this.appId = null;
            this.appCode = "";
            this.appName = "";
            this.order = 0;
    }
}